Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.envers
Annotation Type AuditOverrides

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface AuditOverrides

The `AuditingOverrides` annotation is used to override the auditing behavior for one ore more fields (or properties) inside an embedded component.

See Also:
  `Embedded`, `Embeddable`, `MappedSuperclass`, `AssociationOverride`, `AssociationOverrides`, `AuditJoinTable`, `AuditOverride`

Required Element Summary
`AuditOverride[]` | `value`

Element Detail

### value

    public abstract AuditOverride[] value

  Returns:
    An array of `AuditOverride` values, to define the new auditing behavior.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.